function [Uo,Lamo,Vo,Ujack,Lamjack,Vjack]=jack_svd_sets(dat,m,caseno,smooth)
% jackknife procedure for svd sets 
[I,J,K]=size(dat);
if smooth==1
    dat2=dat+.5;
else 
    dat2=dat;
end
N=sum(sum(sum(dat)));
for t=1:K;transdat(:,:,t)=dat(:,:,t)';end
f=transdat(:);
f=cumsum(f(:));
t=0;
r=0;
%--------------analysis of original sample---------
for t=1:K;localodds(:,:,t)=f2odds(dat2(:,:,t),1);end
[Uo,Lamo,Vo,Xhat,lossn]=svd_sets(log(localodds),m,caseno); % or no log
%-------------jackknife procedure for stability ------------
for k=1:K
    for i=1:I
        for j=1:J
        t=t+1
        if dat(i,j,k)~=0 
        a=zeros(I,J,K);
        a(i,j,k)=1;
        dat3=dat2-a;
        for t=1:K;localodds(:,:,t)=f2odds(dat3(:,:,t),1);end
        [U,Lam,V,Xhat,lossn]=svd_sets(log(localodds),m,caseno); % or no log
        U=U(:,1:2,:);Lam=Lam(1:2,1:2,:);V=V(:,1:2,:);
        if sign(U(2,1,1))~=sign(Uo(2,1,1))
            U(:,1,:)=-1*U(:,1,:);V(:,1,:)=-1*V(:,1,:);
        end
        if sign(U(2,2,1))~=sign(Uo(2,2,1))
            U(:,2)=-1*U(:,2);V(:,2)=-1*V(:,2);
        end
%        [loss,T,s,tt]=procrust([Xo;Yo],[X;Y]);
%        A=s*[X;Y]*T+ones(I+J-2,1)*tt';
%        X=A(1:I-1,:);Y=A(I:I+J-2,:);
        if t==1 %STANDARD IS TWO DIMENSIONAL SOLUTION--
        Ujack(:,:,:,[1:dat(i,j,k)])=repmat(U,[1 1 1 dat(i,j,k)]);
        Lamjack(:,:,:,[1:dat(i,j,k)])=repmat(Lam,[1 1 1 dat(i,j,k)]);
        Vjack(:,:,:,[1:dat(i,j,k)])=repmat(V,[1 1 1 dat(i,j,k)]);
        r=r+dat(i,j,k);
        else
        Ujack(:,:,:,[r+1:r+dat(i,j,k)])=repmat(U,[1 1 1 dat(i,j,k)]);
        Lamjack(:,:,:,[r+1:r+dat(i,j,k)])=repmat(Lam,[1 1 1 dat(i,j,k)]);
        Vjack(:,:,:,[r+1:r+dat(i,j,k)])=repmat(V,[1 1 1 dat(i,j,k)]);
        r=r+dat(i,j,k);
        end  
        end
    end
    end
end