function V=newV(X,U,Lam,V,m)
% finds new V subject to V'*V=I with U_k and Lam_k fixed
[I,J,K]=size(X);
C=sum(Lam.^2,3);
LUXSUM=zeros(m,J);
for k=1:K
    LUXSUM=LUXSUM+Lam(:,:,k)*U(:,:,k)'*X(:,:,k);
end
A=-2.*LUXSUM;
B=eye(J);
V=minort(A,B,C,V(:,:,1),m);
V=repmat(V,[1,1,K]);