function [loss,Xhat]=howbad(X,U,Lam,V)
% computes sum_k(||X_k - U_k * Lam_k * V_k'||)
[I,J,K]=size(X);
Xhat=zeros(size(X));
for k=1:K
    Xhat(:,:,k)=U(:,:,k)*Lam(:,:,k)*V(:,:,k)';
end
loss=sum(sum(sum((X-Xhat).^2)));