function Lam=newLam(X,U,Lam,V,m)
% treats U_k and V_k as fixed and finds new values for Lam
[I,J,K]=size(X);
Lam=zeros(m,m,K);
for k=1:K
   Lam(:,:,k)=diag(diag(U(:,:,k)'*X(:,:,k)*V(:,:,k))); 
end
Lam=mean(Lam,3);
Lam=repmat(Lam,[1 1 K]);