function U=newU(X,U,Lam,V,m)
% finds new U subject to U'*U=I with U_k and Lam_k fixed
[I,J,K]=size(X);
C=sum(Lam.^2,3);
LVXSUM=zeros(m,I);
for k=1:K
    LVXSUM=LVXSUM+Lam(:,:,k)*V(:,:,k)'*X(:,:,k)';
end
A=-2.*LVXSUM;
B=eye(I);
U=minort(A,B,C,U(:,:,1),m);
U=repmat(U,[1,1,K]);