function U=newUk(X,U,Lam,V,m)
% finds new U_k subject to U_k'*U_k=I with fixed Lam and V_k=V
[I,J,K]=size(X);
for k=1:K
   A=-2.*Lam(:,:,k)*V(:,:,k)'*X(:,:,k)';
   B=eye(I);
   C=Lam(:,:,k).^2;
   U(:,:,k)=minort(A,B,C,U(:,:,k),m);
end