function V=newVk(X,U,Lam,V,m)
% finds new V_k subject to V_k'*V_k=I with fixed Lam and U_k
[I,J,K]=size(X);
for k=1:K
   A=-2.*Lam(:,:,k)*U(:,:,k)'*X(:,:,k);
   B=eye(J);
   C=Lam(:,:,k).^2;
   V(:,:,k)=minort(A,B,C,V(:,:,k),m);
end