function [Um,Lamm,Vm]=svd3(X,m)
% computes the svd on each of the layers of X with dimensionality m
% Name by Carolyn is: BEST
[I,J,K]=size(X);
Um=zeros(I,m,K);
Vm=zeros(J,m,K);
Lamm=zeros(m,m,K);
for k=1:K
    [U,Lam,V]=svd(X(:,:,k));
    Um(:,:,k)=U(:,1:m);Lamm(:,:,k)=Lam(1:m,1:m);Vm(:,:,k)=V(:,1:m);
end