function [U,Lam,V,Xhat,lossn]=svd_sets(X,m,caseno)
% This is the main loop program 
%   X is the matrix to be approximated
%   m is the dimensionality
%   caseno describes the different cases- now equal to summary.tex
[I,J,K]=size(X);
epsilon=1E-10;
maxi=1000;
iter=0
change=50;
if caseno==11% U_k * Lam_k * V
    [U,Lam,V]=svd3(X,m);
    [loss,Xhat0]=howbad(X,U,Lam,V);
    while (change>epsilon)& (iter<maxi)
        iter=iter+1
        V=newV(X,U,Lam,V,m);
        U=newUk(X,U,Lam,V,m);
        Lam=newLamk(X,U,Lam,V,m);
        for k=1:K
        [lossn(k),Xhat(:,:,k)]=howbad(X(:,:,k),U(:,:,k),Lam(:,:,k),V(:,:,k));
        end
        change=sum(sum(sum(((Xhat-Xhat0).^2))));
        Xhat0=Xhat;
    end
elseif caseno==12% U * Lam_k * V_k
    [U,Lam,V]=svd3(X,m);
    [loss,Xhat0]=howbad(X,U,Lam,V);
    while (change>epsilon)& (iter<maxi)
        iter=iter+1
        V=newVk(X,U,Lam,V,m);
        U=newU(X,U,Lam,V,m);
        Lam=newLamk(X,U,Lam,V,m);
        for k=1:K
        [lossn(k),Xhat(:,:,k)]=howbad(X(:,:,k),U(:,:,k),Lam(:,:,k),V(:,:,k));
        end
        change=sum(sum(sum(((Xhat-Xhat0).^2))));
        Xhat0=Xhat;
    end
elseif caseno==2% U_k * Lam * V_k
    [U,Lam,V]=svd3(X,m);
    [loss,Xhat0]=howbad(X,U,Lam,V);
    while (change>epsilon)& (iter<maxi)
        iter=iter+1
        V=newVk(X,U,Lam,V,m);
        U=newUk(X,U,Lam,V,m);
        Lam=newLam(X,U,Lam,V,m);
        for k=1:K
        [lossn(k),Xhat(:,:,k)]=howbad(X(:,:,k),U(:,:,k),Lam(:,:,k),V(:,:,k));
        end
        change=sum(sum(sum(((Xhat-Xhat0).^2))));
        Xhat0=Xhat;
    end
elseif caseno==32% U * Lam * V_k
    [U,Lam,V]=svd3(X,m);
    [loss,Xhat0]=howbad(X,U,Lam,V);
    while (change>epsilon)& (iter<maxi)
        iter=iter+1
        V=newVk(X,U,Lam,V,m);
        U=newU(X,U,Lam,V,m);
        Lam=newLam(X,U,Lam,V,m);
        for k=1:K
        [lossn(k),Xhat(:,:,k)]=howbad(X(:,:,k),U(:,:,k),Lam(:,:,k),V(:,:,k));
        end
        change=sum(sum(sum(((Xhat-Xhat0).^2))));
        Xhat0=Xhat;
    end
elseif caseno==31% U_k * Lam * V
    [U,Lam,V]=svd3(X,m);
    [loss,Xhat0]=howbad(X,U,Lam,V);
    while (change>epsilon)& (iter<maxi)
        iter=iter+1
        V=newV(X,U,Lam,V,m);
        U=newUk(X,U,Lam,V,m);
        Lam=newLam(X,U,Lam,V,m);
        for k=1:K
        [lossn(k),Xhat(:,:,k)]=howbad(X(:,:,k),U(:,:,k),Lam(:,:,k),V(:,:,k));
        end
        change=sum(sum(sum(((Xhat-Xhat0).^2))));
        Xhat0=Xhat;
    end
elseif caseno==4% U * Lam_k * V
    [U,Lam,V]=svd3(X,m);
    [loss,Xhat0]=howbad(X,U,Lam,V);
    while (change>epsilon)& (iter<maxi)
        iter=iter+1
        V=newV(X,U,Lam,V,m);
        U=newU(X,U,Lam,V,m);
        Lam=newLamk(X,U,Lam,V,m);
        for k=1:K
        [lossn(k),Xhat(:,:,k)]=howbad(X(:,:,k),U(:,:,k),Lam(:,:,k),V(:,:,k));
        end
        change=sum(sum(sum(((Xhat-Xhat0).^2))));
        Xhat0=Xhat;
    end
elseif caseno==5% U * Lam * V
    [U,Lam,V]=svd3(X,m);
    [loss,Xhat0]=howbad(X,U,Lam,V);
    while (change>epsilon)& (iter<maxi)
        iter=iter+1
        V=newV(X,U,Lam,V,m);
        U=newU(X,U,Lam,V,m);
        Lam=newLam(X,U,Lam,V,m);
        for k=1:K
        [lossn(k),Xhat(:,:,k)]=howbad(X(:,:,k),U(:,:,k),Lam(:,:,k),V(:,:,k));
        end
        change=sum(sum(sum(((Xhat-Xhat0).^2))));
        Xhat0=Xhat;
    end
end